---
layout: left_align
title: Ukens oppdatering, 20. februar 2015
date: "2015-02-20 21:00:00 +0100"
author: iojs
translate: tmn
source: https://medium.com/node-js-javascript/io-js-week-of-february-20th-2015-48486615980
---

## {{ page.title }}

Versjon 1.3.0, MongoBD, veien videre, mm.


## 1.3.0 lansert

Viktige endringer:

* **url**: *url.resolve(’/path/to/file’, ’.’)* returnerer nå */path/to/*, med en avsluttende skråstrek.  *url.resolve(’/’, ’.’)* returnerer */*. [#278](https://github.com/iojs/io.js/pull/278) (Amir Saboury)

* **tls**: standard chifferpakken som brukes av tls og https har blitt endret til en som oppnår ”Perfect Forward Secrecy” i alle moderne nettlesere. I tillegg er alle usikre RC4-chiffere utelatt. Om en absolutt ønsker RC4 må man spesifisere egen chifferpakke. [#826](https://github.com/iojs/io.js/pull/826) (Roman Reiss)


## Viktige hendelser i iojs-felleskapet

* **Styringsmodellen for Node**: [William Bert](https://twitter.com/williamjohnbert) har opprettet [nodegovernance.io](http://nodegovernance.io/) for å gjøre Scott Hammond, CEO av Joyent, oppmerksom på ønsket fra iojs-felleskepet om at den åpne styringsmodellen skal være en base for Node-stiftelsens tekniske komite. Responsen fra iojs-fellesskapet har vært *fantastisk*!

* **Node.js og io.js med ytelsesforbedringer**: Raygun.io har utført ytelsestester med både Node.js og io.js som viser at begge har betydelige ytelsesforbedringer i hver lansering! Du kan lese hele artikkelen hos [raygun.io](https://raygun.io/blog/2015/02/node-js-performance-node-js-vs-io-js/).

* [**LTTng Basics**](https://asciinema.org/a/16785) – med io.js, av brukeren jgalar fra asciinema

* [**Presentasjon**](http://roadmap.iojs.org/) av veien videre for io.js


## Nye aktører med io.js-støtte

* [TravisCI](https://travis-ci.org/) - samme dag som forrige ukes oppdatering la Hiro Asari (あさり) ut en [tweet](https://twitter.com/hiro_asari/status/566268486012633088) om at 10% av Node-prosjektene kjørte på io.js.
* [Node Addon Developer](https://github.com/thlorenz/nad) (nad) av [@thlorenz](https://github.com/thlorenz)
* [Catberry.js](https://github.com/catberry/catberry)
* [MongoDB](https://github.com/mongodb/node-mongodb-native/blob/2.0/HISTORY.md) – offisiell støtte for io.js i versjon 2.0.16 2015-02-16
* [The Native Web](http://www.thenativeweb.io/) har no en [io.js Docker container](https://registry.hub.docker.com/u/thenativeweb/iojs/)
* [DNSChain](https://github.com/okTurtles/dnschain) av [okTurtles](https://okturtles.com/)
* [TDPAHACLPlugin](https://github.com/neilstuartcraig/TDPAHACLPlugin) og [TDPAHAuthPlugin](https://github.com/neilstuartcraig/TDPAHAuthPlugin) for [actionHero](http://www.actionherojs.com/)
* [node-sass](https://npmjs.org/package/node-sass) støtter io.js 1.2 i [versjon 2.0.1](https://github.com/sass/node-sass/issues/655)
* [total.js](https://www.totaljs.com/) med io.js-støtte i [verjson 1.7.1](https://github.com/totaljs/framework/releases/tag/v1.7.1)
* [Clever Cloud](https://www.clever-cloud.com/) - les mer om [lanseringen](https://www.clever-cloud.com/blog/features/2015/01/23/introducing-io.js/)


## Arbeidsgrupper og møter

* io.js Tracing Working Group Meeting - 19. Februar 2015: [Youtube](https://www.youtube.com/watch?v=wvBVjg8jkv0) -  [SoundCloud](https://soundcloud.com/iojs/iojs-tracing-wg-meeting-2015-02-19) -  [Minutes](https://docs.google.com/document/d/1_ApOMt03xHVkaGpTEPMDIrtkjXOzg3Hh4ZcyfhvMHx4/edit)
* io.js Build Working Group Meeting - 19. Februar 2015: [YouTube](https://www.youtube.com/watch?v=OKQi3pTF7fs) -  [SoundCloud](https://soundcloud.com/iojs/iojs-build-wg-meeting-2015-02-19) -  [Minutes](https://docs.google.com/document/d/1vRhsYBs4Hw6vRu55h5eWTwDzS1NctxdTvMMEnCbDs14/edit)
* io.js Technical Committee Meeting - 18. Februar 2015: [YouTube](https://www.youtube.com/watch?v=jeBPYLJ2_Yc) -  [SoundCloud](https://soundcloud.com/iojs/iojs-tc-meeting-2015%E2%80%9302%E2%80%9318) -  [Minutes](https://docs.google.com/document/d/1JnujRu6Rfnp6wvbvwCfxXnsjLySunQ_yah91pkvSFdQ/edit)
* io.js Website Working Group Meeting - 16. Februar 2015: [YouTube](https://www.youtube.com/watch?v=UKDKhFV61ZA) -  [SoundCloud](https://soundcloud.com/iojs/iojs-website-wg-meeting-2015-02-16) -  [Minutes](https://docs.google.com/document/d/1R8JmOoyr64tt-QOj27bD19ZOWg63CujW7GeaAHIIkUs/edit)
